LibreOffice: XEmbedPersist Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XEmbedPersist Interface Referencepublished

specifies an implementation for embedded object persistence. More...

`import "XEmbedPersist.idl";`

Inheritance diagram for XEmbedPersist:

## Public Member Functions
void | setPersistentEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] long nEntryConnectionMode, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| provides object with a parent storage and a name for object's entry.
void | storeToEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object store itself to an entry in destination storage, the own persistence entry is not changed.
void | storeAsEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object store itself to an entry in destination storage and prepare to use the new entry for own persistence.
void | saveCompleted ([in] boolean bUseNew) raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| specifies whether the object should use an old storage or a new one after "save as" operation.
boolean | hasEntry () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect if the object has entry.
string | getEntryName () raises ( ::com::sun::star::embed::WrongStateException )
| allows to retrieve the current object entry name.
Public Member Functions inherited from XCommonEmbedPersist
void | storeOwn () raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link store itself.
boolean | isReadonly () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect if the data store is read-only.
void | reload ([in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link reload itself.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies an implementation for embedded object persistence.

The idea is that any usable embedded object should be initialized with an entry in the parent storage that will be used as persistent representation.

## Member Function Documentation

## ◆ getEntryName()

string getEntryName | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException ) |  |  |

allows to retrieve the current object entry name.

Returns
  the object entry name if any

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state ( has no entry )

## ◆ hasEntry()

boolean hasEntry | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException ) |  |  |

allows to detect if the object has entry.

Returns
  `TRUE` if the object has own entry set `FALSE` otherwise

## ◆ saveCompleted()

void saveCompleted | ( | [in] boolean | bUseNew | ) |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception ) |  |  |

specifies whether the object should use an old storage or a new one after "save as" operation.

Parameters

  bUseNew | `TRUE` the new storage should be used `FALSE` the old one

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::uno::Exception | in case of other problems

## ◆ setPersistentEntry()

void setPersistentEntry | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntName,
|  | [in] long | nEntryConnectionMode,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

provides object with a parent storage and a name for object's entry.

An entry with the specified name should be created/opened inside provided storage. It can be a storage or a stream. For example, OOo API will refer to OLE storages only by streams, but the object implementation will use storage based on this stream.

Factory does this call to initialize the embedded object. The linked object can be initialized by factory in different way ( internally ).

It is also possible to switch object persistent representation through this call. Actually this is the way, this call can be used by user ( since initialization is done by factory ).

Parameters

  xStorage | a parent storage the entry should be created in
  sEntName | a name for the entry
  nEntryConnectionMode | a mode in which the object should be initialized from entry can take values from EntryInitModes constant set
  aMediaArgs | optional parameters for the embedded document persistence initialization, see also com::sun::star::document::MediaDescriptor
  aObjectArgs | optional parameters for the object persistence initialization, see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

## ◆ storeAsEntry()

void storeAsEntry | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

lets the object store itself to an entry in destination storage and prepare to use the new entry for own persistence.

The object should be stored to the new entry, after that the entry should be remembered by the object. After the storing process is finished the XEmbedPersist::saveCompleted() method can be used to specify whether the object should use the new entry or the old one. The object persistence can not be used until XEmbedPersist::saveCompleted() is called. So this state can be treated as "HandsOff" state.

Parameters

  xStorage | a parent storage the entry should be created in
  sEntName | a name for the entry
  aMediaArgs | optional parameters for document saving, see also com::sun::star::document::MediaDescriptor
  aObjectArgs | optional parameters for the object saving, see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::io::IOException | in case of io problems during storing
  com::sun::star::uno::Exception | in case of other problems

## ◆ storeToEntry()

void storeToEntry | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

lets the object store itself to an entry in destination storage, the own persistence entry is not changed.

Parameters

  xStorage | a parent storage the entry should be created inside
  sEntName | a name for the entry
  aMediaArgs | optional parameters for document saving, see also com::sun::star::document::MediaDescriptor
  aObjectArgs | optional parameters for the object saving, see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::io::IOException | in case of io problems during storing
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbedPersist.idl